classification
Title: Remove htmllib use in the stdlib
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: 1883 Superseder:
Assigned To: Nosy List: brett.cannon, fdrake, georg.brandl, mark.dickinson
Priority: release blocker Keywords:

Created on 2008-05-16 04:44 by brett.cannon, last changed 2008-06-01 21:08 by georg.brandl. This issue is now closed.

Messages (5)
msg66897 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:44
htmllib cannot be removed from 3.0 until its use is removed from pydoc.
msg67159 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2008-05-21 15:08
This issue is at least partially dependent on issue #1883 (adapting pydoc 
to new doc system), in that it's a little awkward to test pydoc before 
#1883 is complete.
msg67488 - (view) Author: Fred L. Drake, Jr. (fdrake) (Python committer) Date: 2008-05-29 12:25
I'd be happy to see both htmllib and pydoc be removed; documentation
tools do quite well as separate applications.  Not as convenient for
interactive use, but easy enough to hook in via PYTHONSTARTUP.
msg67504 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-29 17:20
On Thu, May 29, 2008 at 5:26 AM, Fred L. Drake, Jr.
<report@bugs.python.org> wrote:
>
> Fred L. Drake, Jr. <fdrake@acm.org> added the comment:
>
> I'd be happy to see both htmllib and pydoc be removed; documentation
> tools do quite well as separate applications.  Not as convenient for
> interactive use, but easy enough to hook in via PYTHONSTARTUP.
>

I have no objections, but would python-3000 go for this?
msg67604 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-06-01 21:08
Removed usage in pydoc in r63871.
History
Date User Action Args
2008-06-01 21:36:21benjamin.petersonunlinkissue2775 dependencies
2008-06-01 21:08:38georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
resolution: fixed
messages: + msg67604
2008-05-29 17:20:19brett.cannonsetmessages: + msg67504
2008-05-29 12:26:06fdrakesetnosy: + fdrake
messages: + msg67488
2008-05-21 15:08:55mark.dickinsonsetnosy: + mark.dickinson
dependencies: + Adapt pydoc to new doc system
messages: + msg67159
2008-05-16 04:44:28brett.cannonlinkissue2775 dependencies
2008-05-16 04:44:04brett.cannoncreate